ランタイム: Mix::Scene::IWaterPoolContext Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IWaterPoolContext Class Referenceabstract

ウォータープールコンテキストインターフェース More...

`#include <IWaterPool.h>`

Inheritance diagram for Mix::Scene::IWaterPoolContext:
[legend]
Collaboration diagram for Mix::Scene::IWaterPoolContext:
[legend]

## Public Member Functions

virtual void | Update (const Mix::Matrix4x4 &worldMat)=0
| 更新します More...
virtual const Mix::Geometry::AABB & | GetBounds (void) const =0
| 境界を取得します More...
virtual Float32 | Contains (const Mix::Vector3 &pos) const =0
| 位置関係について問い合わせます More...
virtual Mix::Scene::WATER_CONTAINS_RESULT | Contains (const Mix::Geometry::AABB &bounds) const =0
| 位置関係ついて問い合わせます More...
virtual Mix::Scene::WATER_CONTAINS_RESULT | Contains (const Mix::Geometry::Sphere &bounds) const =0
| 位置関係ついて問い合わせます More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IWaterPoolContext (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

ウォータープールコンテキストインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IWaterPoolContext::~IWaterPoolContext | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual void Mix::Scene::IWaterPoolContext::Update | ( | const Mix::Matrix4x4 & | worldMat | ) |

pure virtual

更新します

Parameters

  [in] | worldMat | 更新に使用するワールド行列を表す Mix::Matrix4x4 クラス

Note
  GetBounds で取得する境界を更新する必要があります。

virtual const Mix::Geometry::AABB& Mix::Scene::IWaterPoolContext::GetBounds | ( | void |  | ) | const

pure virtual

境界を取得します

Returns
  境界を表す Mix::Geometry::AABB クラスを返します

virtual Float32 Mix::Scene::IWaterPoolContext::Contains | ( | const Mix::Vector3 & | pos | ) | const

pure virtual

位置関係について問い合わせます

Parameters

  [in] | pos | 位置を表す Mix::Vector3 クラス

Returns
  水面との距離を返します( 水面より上 > 0 >= 水面より下 )

Note
  このメソッドは GetBounds にて取得された境界で簡易判定を行った後に呼び出されます。

virtual Mix::Scene::WATER_CONTAINS_RESULT Mix::Scene::IWaterPoolContext::Contains | ( | const Mix::Geometry::AABB & | bounds | ) | const

pure virtual

位置関係ついて問い合わせます

Parameters

  [in] | bounds | 境界を表す Mix::Geometry::AABB クラス

Returns
  位置関係を表す Mix::Scene::WATER_CONTAINS_RESULT 列挙定数を返します

Note
  このメソッドは GetBounds にて取得された境界で簡易判定を行った後に呼び出されます。

virtual Mix::Scene::WATER_CONTAINS_RESULT Mix::Scene::IWaterPoolContext::Contains | ( | const Mix::Geometry::Sphere & | bounds | ) | const

pure virtual

位置関係ついて問い合わせます

Parameters

  [in] | bounds | 境界を表す Mix::Geometry::Sphere クラス

Returns
  位置関係を表す Mix::Scene::WATER_CONTAINS_RESULT 列挙定数を返します

Note
  このメソッドは GetBounds にて取得された境界で簡易判定を行った後に呼び出されます。

The documentation for this class was generated from the following file:

- Mix/Scene/IWaterPool.h